> For the complete documentation index, see [llms.txt](https://docs.replicacyber.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.replicacyber.com/developer-guide/butler-api-reference/clipboard.md).

# Clipboard

Clipboard actions

## GET /v1/clipboards/{environmentId}

> Get environment clipboard data

```json
{"openapi":"3.0.0","info":{"title":"Replica Butler","version":"4.5.0"},"tags":[{"name":"Clipboard","description":"Clipboard actions"}],"servers":[{"url":"/butler/api/","description":"Replica Butler"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReplicaMessageSuccess":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"event":{"type":"string","$ref":"#/components/schemas/ReplicaEvent"},"items":{"type":"array"}}},"ReplicaEvent":{"type":"string","enum":["GET","POST","PUT","DELETE","ERROR"]},"ReplicaMessageFailure":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"event":{"type":"string","$ref":"#/components/schemas/ReplicaEvent"},"items":{"type":"array"}}}}},"paths":{"/v1/clipboards/{environmentId}":{"get":{"summary":"Get environment clipboard data","tags":["Clipboard"],"parameters":[{"name":"environmentId","in":"path","required":true,"description":"The Environment Id","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ReplicaMessageSuccess"},{"type":"object","properties":{"message":{}}}]}}}},"500":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ReplicaMessageFailure"},{"type":"object","properties":{"message":{}}}]}}}}}}}}}
```

## PUT /v1/clipboards/{environmentId}

> Save data to environment clipboard

```json
{"openapi":"3.0.0","info":{"title":"Replica Butler","version":"4.5.0"},"tags":[{"name":"Clipboard","description":"Clipboard actions"}],"servers":[{"url":"/butler/api/","description":"Replica Butler"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ClipboardRequest":{"type":"object","required":["data","emit"],"properties":{"data":{"type":"string"},"emit":{"type":"boolean"}}},"ReplicaMessageSuccess":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"event":{"type":"string","$ref":"#/components/schemas/ReplicaEvent"},"items":{"type":"array"}}},"ReplicaEvent":{"type":"string","enum":["GET","POST","PUT","DELETE","ERROR"]},"ReplicaMessageFailure":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"event":{"type":"string","$ref":"#/components/schemas/ReplicaEvent"},"items":{"type":"array"}}}}},"paths":{"/v1/clipboards/{environmentId}":{"put":{"summary":"Save data to environment clipboard","tags":["Clipboard"],"parameters":[{"name":"environmentId","in":"path","required":true,"description":"The Environment Id","schema":{"type":"string"}}],"requestBody":{"description":"Environment Clipboard request body","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClipboardRequest"}}}},"responses":{"200":{"descrption":"Environment Clipboard save request success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ReplicaMessageSuccess"},{"type":"object","properties":{"message":{}}}]}}}},"500":{"descrption":"Environment Clipboard save request failure","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ReplicaMessageFailure"},{"type":"object","properties":{"message":{}}}]}}}}}}}}}
```

## PUT /v1/clipboards/{environmentId}/{targetId}

> Transfer data between environment clipboards

```json
{"openapi":"3.0.0","info":{"title":"Replica Butler","version":"4.5.0"},"tags":[{"name":"Clipboard","description":"Clipboard actions"}],"servers":[{"url":"/butler/api/","description":"Replica Butler"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReplicaMessageSuccess":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"event":{"type":"string","$ref":"#/components/schemas/ReplicaEvent"},"items":{"type":"array"}}},"ReplicaEvent":{"type":"string","enum":["GET","POST","PUT","DELETE","ERROR"]},"ReplicaMessageFailure":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"event":{"type":"string","$ref":"#/components/schemas/ReplicaEvent"},"items":{"type":"array"}}}}},"paths":{"/v1/clipboards/{environmentId}/{targetId}":{"put":{"summary":"Transfer data between environment clipboards","tags":["Clipboard"],"parameters":[{"name":"environmentId","in":"path","required":true,"description":"The source Environment Id","schema":{"type":"string"}},{"name":"targetId","in":"path","required":true,"description":"The target Environment Id","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ReplicaMessageSuccess"},{"type":"object","properties":{"message":{}}}]}}}},"500":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ReplicaMessageFailure"},{"type":"object","properties":{"message":{}}}]}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.replicacyber.com/developer-guide/butler-api-reference/clipboard.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
